/[gentoo-x86]/app-editors/gummi/gummi-0.4.8-r1.ebuild
Gentoo

Contents of /app-editors/gummi/gummi-0.4.8-r1.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (show annotations) (download)
Sun Oct 24 11:04:42 2010 UTC (8 years, 11 months ago) by hwoarang
Branch: MAIN
CVS Tags: HEAD
Changes since 1.1: +1 -1 lines
FILE REMOVED
Version bump. Remove old ebuilds

(Portage version: 2.2_rc99/cvs/Linux x86_64)

1 # Copyright 1999-2010 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/app-editors/gummi/gummi-0.4.8-r1.ebuild,v 1.1 2010/09/22 17:50:35 hwoarang Exp $
4
5 EAPI=3
6
7 PYTHON_DEPEND="2"
8 SUPPORT_PYTHON_ABIS="1"
9 RESTRICT_PYTHON_ABIS="3.*"
10
11 inherit distutils
12
13 DESCRIPTION="Simple LaTeX editor for GTK+ users"
14 HOMEPAGE="http://gummi.midnightcoding.org"
15 SRC_URI="http://dev.midnightcoding.org/redmine/attachments/download/25/${P}.tar.gz"
16
17 LICENSE="MIT"
18 SLOT="0"
19 KEYWORDS="~amd64 ~x86"
20 IUSE=""
21
22 RDEPEND="
23 >=dev-python/pygtksourceview-2.4.0:2
24 dev-python/python-poppler
25 dev-texlive/texlive-latex
26 dev-texlive/texlive-latexextra
27 x11-libs/gtk+:2
28 x11-libs/pango"
29
30 pkg_postinst() {
31 elog "Gummi >=0.4.8 supports spell checking through gtkspell. You are"
32 elog "required to have dev-python/gtkspell-python installed to use this"
33 elog "feature. Support for additional languages can be enabled by"
34 elog "installing myspell-** packages for your language of choice."
35 distutils_pkg_postinst
36 }

  ViewVC Help
Powered by ViewVC 1.1.20